<!DOCTYPE html>
<html>
<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>
<body>
  <div class="container">
    <h2>Awesome Font - Cách sử dụng bộ biểu tượng</h2>
    <pre>
      TODO 1) Nhúng Awesome Font theo phiên bản. Từ khóa: "awesome font cdn"
      - Phiên bản 5.15.3 (mới nhất - đã được nhúng)
    </pre>
    <pre>
      TODO 2) Thêm lần lượt các class sau vào các thẻ i bên dưới, và xem kết quả
      - fas fa-home
      - fas fa-book
      - fas fa-cog
    </pre>
  </div>

  <div class="container">
    <div class="row">
      <div class="col-sm-3">
        <div class="list-group">
          <a class="list-group-item" href="#"> <i class="fas fa-home" aria-hidden="true"></i> &nbsp; Home</a>
          <a class="list-group-item" href="#"> <i class="fas fa-book" aria-hidden="true"></i> &nbsp; Library</a>
          <a class="list-group-item" href="#"> <i class="fas fa-cog" aria-hidden="true"></i> &nbsp; Settings</a>
        </div>
      </div>
      <pre>
        Thay đổi kích cỡ biểu tượng
      </pre>
      <div class="col-sm-6">
        <i class="fas fa-camera-retro fa-lg"></i> fa-lg
        <i class="fas fa-camera-retro fa-2x"></i> fa-2x
        <i class="fas fa-camera-retro fa-3x"></i> fa-3x
        <i class="fas fa-camera-retro fa-4x"></i> fa-4x
        <i class="fas fa-camera-retro fa-5x"></i> fa-5x
      </div>
    </div>
  </div>  

  <div class="container">
    <h2>Button Styles - Kiểu nút trong Bootstrap</h2>
    <pre>
      TODO 3) Thêm biểu tượng cho mỗi nút dưới đây. Tự chọn biểu tượng phù hợp (xem nút Primary làm ví dụ)
    </pre>
    <button class="btn btn-primary"><i class="fas fa-home"></i> &nbsp; Primary</button>
    <button class="btn btn-success"><i class="fas fa-check"></i> &nbsp; Success</button>
  </div>

  <div class="container">
    <h4>TODO 4) Icon button cho bảng - Thay thẻ img bằng Awesome Font</h4>
    <h4>TODO 5) Đổi màu biểu tượng edit thành màu xanh lá cây; biểu tượng delete thành màu đỏ</h4>
    <table class="table table-bordered table-striped table-hover">
      <thead>
        <th>STT</th>
        <th>Mã voucher</th>
        <th>Mã giảm giá</th>
        <th>Action</th>
      </thead>
      <tbody>
        <tr>
          <td>1</td>
          <td>13552</td>
          <td>15%</td>
          <td>
            <i class="fas fa-edit" style="color: green;"></i>
            <i class="fas fa-trash" style="color: red;"></i>
          </td>
        </tr>
        <tr>
          <td>2</td>
          <td>24152</td>
          <td>10%</td>
          <td>
            <i class="fas fa-edit" style="color: green;"></i>
            <i class="fas fa-trash" style="color: red;"></i>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</body>
</html>
